VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   "   PaintPicture"
   ClientHeight    =   4320
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7920
   LinkTopic       =   "Form1"
   RightToLeft     =   -1  'True
   ScaleHeight     =   288
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   528
   StartUpPosition =   3  'Windows Default
   Begin VB.PictureBox Picture1 
      Height          =   1140
      Left            =   6075
      Picture         =   "frmMain.frx":0000
      RightToLeft     =   -1  'True
      ScaleHeight     =   72
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   97
      TabIndex        =   6
      Top             =   2925
      Width           =   1515
   End
   Begin VB.CommandButton cmdStretch 
      Caption         =   " "
      Height          =   390
      Left            =   6075
      RightToLeft     =   -1  'True
      TabIndex        =   5
      Top             =   150
      Width           =   1590
   End
   Begin VB.CommandButton cmdInv 
      Caption         =   " "
      Height          =   390
      Left            =   6075
      RightToLeft     =   -1  'True
      TabIndex        =   4
      Top             =   2400
      Width           =   1590
   End
   Begin VB.CommandButton VFlip 
      Caption         =   " "
      Height          =   390
      Left            =   6075
      RightToLeft     =   -1  'True
      TabIndex        =   3
      Top             =   1950
      Width           =   1590
   End
   Begin VB.CommandButton FlipH 
      Caption         =   " "
      Height          =   390
      Left            =   6075
      RightToLeft     =   -1  'True
      TabIndex        =   2
      Top             =   1500
      Width           =   1590
   End
   Begin VB.CommandButton cmdZoom2 
      Caption         =   " "
      Height          =   390
      Left            =   6075
      RightToLeft     =   -1  'True
      TabIndex        =   1
      Top             =   1050
      Width           =   1590
   End
   Begin VB.CommandButton cmdZoom 
      Caption         =   " "
      Height          =   390
      Left            =   6075
      RightToLeft     =   -1  'True
      TabIndex        =   0
      Top             =   600
      Width           =   1590
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim lWidth1 As Long
Dim lHeight1 As Long
Dim lWidth2 As Long
Dim lHeight2 As Long
Dim lX2 As Long
Dim lY2 As Long
Dim bAutoStretch As Boolean
Dim iDrawMode As RasterOpConstants    'enum

Private Sub cmdStretch_Click()
    bAutoStretch = True
    Me.Refresh
End Sub

Private Sub cmdZoom_Click()
    bAutoStretch = False
    lWidth1 = ScaleX(Picture1.Picture.Width, vbHimetric, vbPixels)
    lHeight1 = ScaleY(Picture1.Picture.Height, vbHimetric, vbPixels)
    Me.Refresh
End Sub

Private Sub cmdZoom2_Click()
    bAutoStretch = False
    lWidth1 = 200
    lHeight1 = 200
    Me.Refresh
End Sub


Private Sub cmdInv_Click()
    If iDrawMode = vbSrcCopy Then
        iDrawMode = vbSrcInvert
    Else
        iDrawMode = vbSrcCopy
    End If
    Me.Refresh
End Sub

Private Sub FlipH_Click()
    If lWidth2 > 0 Then
        lX2 = ScaleX(Picture1.Picture.Width, vbHimetric, vbPixels)
        lWidth2 = -lWidth2
    Else
        lX2 = 0
        lWidth2 = -lWidth2
    End If
    Me.Refresh
End Sub

Private Sub Form_Load()
    lWidth1 = 200
    lHeight1 = 200
    lWidth2 = ScaleX(Picture1.Picture.Width, vbHimetric, vbPixels)
    lHeight2 = ScaleX(Picture1.Picture.Height, vbHimetric, vbPixels)
    lX2 = 0
    lY2 = 0
    iDrawMode = vbSrcCopy
End Sub

Private Sub Form_Paint()
    Cls
    If bAutoStretch Then
        lWidth1 = Me.ScaleWidth
        lHeight1 = Me.ScaleHeight
    End If
    PaintPicture Picture1.Picture, 0, 0, lWidth1, lHeight1, lX2, lY2, lWidth2, lHeight2, iDrawMode
End Sub

Private Sub Form_Resize()
    Me.Refresh
End Sub

Private Sub VFlip_Click()
    If lHeight2 > 0 Then
        lY2 = ScaleX(Picture1.Picture.Height, vbHimetric, vbPixels)
        lHeight2 = -lHeight2
    Else
        lY2 = 0
        lHeight2 = -lHeight2
    End If
    Me.Refresh
End Sub
